1.0.0OAS 3.1

Transform assets on-the-fly with resizing, cropping, format conversion, and other dynamic transformations.

API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Generate dynamic asset transformation

Generate a derivative on the fly with a transformation (such as cropping, scaling, filling) applied to it. More information about this feature can be found in our Knowledge Base item.
Image operations can be passed as io parameters in the form of transform:{operation},{param1}:{value1},{param2}:{value2},.... It’s possible to specify several operations: ?io={operation1}&io={operation2}&.... The operations will be applied in the same order they are passed in the url.
These are the possible image operations and their parameters:

OperationParameterPossible values
backgroundcolorcolor name (yellow, black, etc.) or hexadecimal (rgb, rrggbb)
cropwidthinteger
heightinteger
xinteger
yinteger
gravitytopleft / top / topright / left / center / right / bottomleft / bottom / bottomright
shapecircle / square
blurinteger
backgroundcolor name (yellow, black, etc.) or hexadecimal (rgb, rrggbb)
extendwidthinteger
heightinteger
backgroundcolor name (yellow, black, etc.) or hexadecimal (rgb, rrggbb)
fillwidth
height
gravity
aspectratio(integer) x (integer)
fitwidthinteger
heightinteger
flip(no parameters)
mirror(no parameters)
rotateangleinteger between 0 and 360
backgroundcolor name (yellow, black, etc.) or hexadecimal (rgb, rrggbb)
scalewidthinteger
heightinteger
get
https://{your-bynder-domain}/transform/{id}/{name}

Query Parameters

ioarray[string]

The operation(s) performed on the image before it’s served to the client.

focuspointstring

Focus point as a x,y coordinate (with values between 0 - 1).

formatstring

Format of the served image. This can either be jpg or png and it will overwrite the default webP.

qualityinteger

Image quality, ranging from 1 - 100 (has no effect when format is set to ‘png’).

>= 1<= 100

Path Parameters

idstringrequired
namestringrequired

Response

Image

string(binary)
get/transform/{id}/{name}